import '../../../../core/usecases/usecase.dart';
import '../entities/otp_response.dart';

abstract class AuthRepository {
  Future<Result<OtpResponse>> sendOTP(String phoneNumber);
  Future<Result<bool>> verifyOTP(String otpCode, String phoneNumber);
}
